SmartUserBundle\Model\User:
    properties:
        username:
            - NotBlank:
                message: smart_user.username.blank
                groups: [Registration]
            - Length:
                min: 2
                max: 180
                minMessage: smart_user.username.short
                maxMessage: smart_user.username.long
                groups: [Registration]

        email:
            - NotBlank:
                message: smart_user.email.blank
                groups: [Registration]
            - Length:
                min: 2
                max: 180
                minMessage: smart_user.email.short
                maxMessage: smart_user.email.long
                groups: [Registration]
            - Email:
                message: smart_user.email.invalid
                groups: [Registration]

        plainPassword:
            - NotBlank:
                message: smart_user.password.blank
                groups: [Registration, Resetting]
